<?xml version="1.0"?>

<!--
This XSL style sheet specifies how XML documents which conform to Portfolio.dtd
should be transformed into XML documents which conform to Table.dtd.
The output of this can be transformed into HTML by using Table.xsl.
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl">

  <xsl:template match="/">
    <xsl:pi name='xml'>version="1.0"</xsl:pi>
    
    <!--
    HOW CAN THIS BE SPECIFIED?
    <!DOCTYPE portfolio SYSTEM "Table.dtd">
    xsl:text is not supported in IE5.
    This doesn't work.
    &lt;!DOCTYPE portfolio SYSTEM "Table.dtd"&gt;
    -->
    
    <xsl:apply-templates select="portfolio"/>
  </xsl:template>

  <xsl:template match="portfolio">
    <table>
      <caption color="red">
        Portfolio of <xsl:value-of select="@owner"/>
      </caption>
          
      <header backgroundColor="green" buttonColor="yellow">
        <column label="Company" width="200"/>
        <column label="Ticker"/>
        <column label="Last Price" type="number"/>
        <column label="Date" type="date"/>
      </header>
  
      <xsl:apply-templates select="stock"/>
    </table>
  </xsl:template>

  <xsl:template match="stock">
    <row>
      <data><xsl:value-of select="@company"/></data>
      <data><xsl:value-of select="@ticker"/></data>
      <data align="right"><xsl:value-of select="@lastPrice"/></data>
      <data><xsl:value-of select="@date"/></data>
    </row>
  </xsl:template>
  
</xsl:stylesheet>